from dash import Dash
import dash_bootstrap_components as dbc
import logging

# dbc.themes.BOOTSTRAP
# dbc.themes.YETI
# 	These themes have functional Tabs - if not hme specified, Tabs are not working
#	and everything is rendered into one page.

APP_VERSION        = '2024-03-18-002'
APP_NAME           = 'CVUT Jamming Visualiser'

# app = Dash("CVUT", external_stylesheets=[dbc.themes.BOOTSTRAP], prevent_initial_callbacks=True)
app = Dash("CVUT",
			external_stylesheets=[dbc.themes.YETI],
			prevent_initial_callbacks=True,
			update_title=None,
			title=APP_NAME)

# Set logger
app.logger.handlers.clear()
log             = logging.getLogger('werkzeug')
log.disabled    = True
logging.basicConfig(level=logging.WARNING, format='%(asctime)s %(levelname)s %(name)s : %(message)s')
logging.basicConfig(level=logging.INFO,    format='%(asctime)s %(levelname)s %(name)s : %(message)s')

app.logger.info(f"{APP_NAME} - Version {APP_VERSION}")
