import sys
sys.path.append('../Visualiser')

from main_dash import app

from dash import Dash, Output, Input, State

import dash_bootstrap_components as dbc

def createModalConfirm():
	return dbc.Modal(
        [
            dbc.ModalHeader(id="modal-header"),
            dbc.ModalBody(id="modal-body"),
            dbc.ModalFooter([
                dbc.Button("Cancel", id="close-modal-button", className="ml-auto"),
                dbc.Button("Confirm", id="confirm-modal-button"),
            ]),
        ],
        id="confirm-modal",
    )



@app.callback(
    [Output("modal-header", "children"),
     Output("modal-body", "children"),
     Output("confirm-modal-button", "n_clicks")],
    [Input("clear-table-button", "n_clicks")],
)
def open_clear_table_modal(n_clicks):
    if n_clicks > 0:
        header = "Confirm Clear Table"
        body = "Are you sure you want to clear the table?"
        return header, body, None
    else:
        return None, None, None



@app.callback(
    Output("confirm-modal", "is_open"),
    [Input("clear_table_button", "n_clicks"),
     Input("close-modal-button", "n_clicks"),
     Input("confirm-modal-button", "n_clicks")],
)
def toggle_modal(clear_clicks, close_clicks, confirm_clicks):
    ctx = callback_context
    if not ctx.triggered:
        return False

    trigger_id = ctx.triggered[0]['prop_id'].split('.')[0]
    
    if trigger_id == "confirm-modal-button":
        return False
    elif trigger_id == "clear-table-button":
        return True

    return False
